> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new dataset

> Creates a new dataset within a specified namespace.



## OpenAPI

````yaml /api-reference/openapi.yml post /ingest/new/{namespace}/{datasetName}
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /ingest/new/{namespace}/{datasetName}:
    post:
      tags:
        - ingest
        - datasets
      summary: Create new dataset
      description: Creates a new dataset within a specified namespace.
      operationId: createDataset
      parameters:
        - name: namespace
          in: path
          description: Namespace for the dataset.
          required: true
          schema:
            type: string
          example: cinematography
        - name: datasetName
          in: path
          description: Name of the dataset.
          required: true
          schema:
            type: string
          examples:
            movies:
              summary: Movies
              value: movies
            actors:
              summary: Actors
              value: actors
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDatasetRequest'
        required: true
      responses:
        '201':
          description: Creates a new dataset.
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    CreateDatasetRequest:
      type: object
      properties:
        dataDescription:
          $ref: '#/components/schemas/DataDescription'
        schemaDefinition:
          $ref: '#/components/schemas/SchemaDefinition'
    DataDescription:
      maxLength: 10000
      type: string
      description: >-
        A description of the dataset to help the AI system understand the
        context.
      example: Employee dataset containing demographics and compensation.
    SchemaDefinition:
      type: object
      additionalProperties:
        type: string
      description: >-
        A schema definition mapping field names to descriptions, to guide the AI
        system in structuring the extracted data.
      example:
        id: unique employee identifier
        name: full employee name
        age: employee age in years
        department: work department
        salary: annual salary in USD
    ErrorResponse:
      required:
        - error_code
        - message
      type: object
      properties:
        error_code:
          type: string
          example: UNAUTHORIZED
        error_message:
          type: string
          example: ''
        message:
          type: string
          example: Missing authentication token
        sub_errors:
          type: array
          items:
            required:
              - code
              - message
            type: object
            properties:
              code:
                type: string
              message:
                type: string
  responses:
    Unauthorized:
      description: >-
        Unauthorized. This error occurs if the authentication token is missing
        or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````